package ch.hslu.appe.usermanagement.logic;

import ch.hslu.appe.usermanagement.logic.session.Session;

/**
 * Access Interface.
 */
public interface Access {

    /**
     * Checks, whether the user has access or not.
     * @param sessionKey The Session Key
     * @param right The right
     * @return Returns true if the user has access, otherwise false
     */
    boolean checkAccess(String sessionKey, String right);

    /**
     * Tries to login a user. If the login is successful, it creates a new session.
     * @param login The login name
     * @param password The sha-1 hashed password
     * @return Returns the session key on success, otherwise null.
     */
    Session login(String login, String password);

    /**
     * Logs out a session.
     * @param key The session key
     * @return Returns true on success, otherwise false.
     */
    boolean logout(String key);

}
