package ch.hslu.appe.usermanagement.webservice;

import javax.jws.WebService;

import ch.hslu.appe.helper.HashHelper;
import ch.hslu.appe.usermanagement.logic.Access;
import ch.hslu.appe.usermanagement.logic.AccessImpl;
import ch.hslu.appe.usermanagement.logic.session.Session;
import ch.hslu.appe.usermanagement.webservice.dto.SessionDto;

/**
 * Access Service Implementation.
 */
@WebService(endpointInterface = "ch.hslu.appe.usermanagement.webservice.AccessService")
public final class AccessServiceImpl implements AccessService {

    public Access access = new AccessImpl();

    @Override
    public boolean checkAccess(final String sessionKey, final String right) {

        return access.checkAccess(sessionKey, right);
    }

    @Override
    public SessionDto login(final String login, final String password) {

        final Session session = access.login(login, HashHelper.sha1(password, "hslu"));

        if (session == null) {
            return null;
        }

        return SessionDto.fromSession(session);
    }

    @Override
    public boolean logout(final String key) {

        return access.logout(key);
    }

}
